package color_test

import (
	"testing"

	"git.urbach.dev/go/color"
)

func BenchmarkRGB(b *testing.B) {
	for b.Loop() {
		color.RGB(1.0, 1.0, 1.0)
	}
}

func BenchmarkLCH(b *testing.B) {
	for b.Loop() {
		color.LCH(0.5, 0.5, 0.0)
	}
}

func BenchmarkPrint(b *testing.B) {
	color.Terminal = true
	c := color.RGB(1.0, 1.0, 1.0)

	for b.Loop() {
		c.Print("")
	}
}

func BenchmarkPrintRaw(b *testing.B) {
	color.Terminal = false
	c := color.RGB(1.0, 1.0, 1.0)

	for b.Loop() {
		c.Print("")
	}
}